## org.jfree.data.xy
Interface VectorXYDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  VectorSeriesCollection

    public interface VectorXYDataset

extends XYDataset

An extension of the `XYDataset` interface that allows a vector to be defined at a specific (x, y) location.

Since:
  1.0.6

Method Summary
`Vector` `getVector(int series, int item)` Returns the vector for an item in a series.
`double` `getVectorXValue(int series, int item)` Returns the x-component of the vector for an item in a series.
`double` `getVectorYValue(int series, int item)` Returns the y-component of the vector for an item in a series.

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getVectorXValue

    double getVectorXValue(int series,
                           int item)

  Returns the x-component of the vector for an item in a series.

  Parameters:
    `series` - the series index.
    `item` - the item index.
  Returns:
    The x-component of the vector.

### getVectorYValue

    double getVectorYValue(int series,
                           int item)

  Returns the y-component of the vector for an item in a series.

  Parameters:
    `series` - the series index.
    `item` - the item index.
  Returns:
    The y-component of the vector.

### getVector

    Vector getVector(int series,
                     int item)

  Returns the vector for an item in a series. Depending on the particular dataset implementation, this may involve creating a new `Vector` instance --- if you are just interested in the x and y components, use the `getVectorXValue(int, int)` and `getVectorYValue(int, int)` methods instead.

  Parameters:
    `series` - the series index.
    `item` - the item index.
  Returns:
    The vector (possibly `null`).